import httpx as h

from .template import ImageGet, ImageGetException

class ImageGetUnsplash(ImageGet):

    def __init__(self) -> None:

        super().__init__(
            base_url="https://source.unsplash.com/",
            headers={}
            )


    def get_random_image_ids(self, num=1) -> list[str]:
        # there are no ids since the api has a random endpoint
        return [0 for i in range(num)]


    def get_image_file(self, image_id: str = "doesntmatter") -> bytearray:
        url = self.base_url + "random"
        response = h.get(url, follow_redirects=True)
        
        if not response.status_code == 200:
            raise ImageGetException("Error in step get_image_file: " + str(response.status_code))
            
        return response.content
